Skip to content

Update editable field values on the latest version of a single binder.

PUT/api/{version}/objects/binders/{binder_id}
NameDescription
Content-Typeapplication/x-www-form-urlencoded
Acceptapplication/json (default) or application/xml
NameDescription
{binder_id}The binder id field value.

In the body of the request, add any editable field values that you wish to update as name-value pairs. To remove existing field values, include the field name and set its value to null.

To find these fields for the specific binder, use Retrieve Binder.

curl -X PUT -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d "audience__c=Healthcare Provider" \ -d "country__v=1357662840400" \ https://myvault.veevavault.com/api/v26.1/objects/binders/566
{ "responseStatus": "SUCCESS", "id": 566 }

On SUCCESS, Vault updates field values for the latest version of the binder and returns the ID of the updated binder.